Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jimi.core.util
Class ErrorImageProducer

    java.lang.Object
      |
      +--com.sun.jimi.core.util.ErrorImageProducer

public class ErrorImageProducer
extends java.lang.Object
implements java.awt.image.ImageProducer

ImageProducer implementation which just reports an error.

Field Summary
`protected java.util.Vector` | `consumers`

Constructor Summary
`ErrorImageProducer()`

Method Summary
`void` | `addConsumer(java.awt.image.ImageConsumer consumer)`
`boolean` | `isConsumer(java.awt.image.ImageConsumer consumer)`
`void` | `removeConsumer(java.awt.image.ImageConsumer consumer)`
`void` | `requestTopDownLeftRightResend(java.awt.image.ImageConsumer consumer)`
`protected void` | `sendError(java.awt.image.ImageConsumer consumer)`
`void` | `startProduction(java.awt.image.ImageConsumer consumer)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### consumers

    protected java.util.Vector consumers

Constructor Detail

### ErrorImageProducer

    public ErrorImageProducer()

Method Detail

### addConsumer

    public void addConsumer(java.awt.image.ImageConsumer consumer)

  Specified by:
    addConsumer in interface java.awt.image.ImageProducer

### isConsumer

    public boolean isConsumer(java.awt.image.ImageConsumer consumer)

  Specified by:
    isConsumer in interface java.awt.image.ImageProducer

### removeConsumer

    public void removeConsumer(java.awt.image.ImageConsumer consumer)

  Specified by:
    removeConsumer in interface java.awt.image.ImageProducer

### startProduction

    public void startProduction(java.awt.image.ImageConsumer consumer)

  Specified by:
    startProduction in interface java.awt.image.ImageProducer

### requestTopDownLeftRightResend

    public void requestTopDownLeftRightResend(java.awt.image.ImageConsumer consumer)

  Specified by:
    requestTopDownLeftRightResend in interface java.awt.image.ImageProducer

### sendError

    protected void sendError(java.awt.image.ImageConsumer consumer)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD